import java.rmi.*;

// This client sends a number of tasks to server 0.
// The number of tasks is passed as a command line argument.
//
public class Client
{
	public static void main(String args[])
	{
		int n = 1;
		MessageReceiver w;

		// If there is a command line argument: use its value
		if (args.length >= 1)
			n = Integer.parseInt(args[0]);

		try {
			w = (MessageReceiver)Naming.lookup("rmi://localhost/Server0");
			// sent n tasks to server 0 
			// sender -1 represents the client.
			for (int i=0; i<n; i++)
				w.enqueueMessage("Task " + i, -1);
		}
		catch (Exception e) {
			System.out.println("Client: " + e.getMessage());
			e.printStackTrace();
		}
	}
}

